/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include "devices.h"


int _tmain(int argc, _TCHAR* argv[])
{
	BOOL Temperature_Status=FALSE;
	BYTE ErrorCode=0x0;
	BOOL Checksum_Error=FALSE,Keyboard_Error=FALSE;
	
	Temperature_Status=Get_Temperature_Status();
	ErrorCode=Get_Boot_ErrorCode();
	
	Checksum_Error=(ErrorCode & (1<<BIOS_CHECKSUM_ERROR) ? 1:0);
	Keyboard_Error=(ErrorCode & (1<<BIOS_KEYBOARD_ERROR) ? 1:0);

	printf("Temperature_Status=%x\r\n",Temperature_Status);
	printf("Checksum_Error=%x\r\n",Checksum_Error);
	printf("Keyboard_Error=%x\r\n",Keyboard_Error);
	
	return 0;
}

